Bug 847093 - Graph depends on cairo_wrapper instead of cairo
Graph depends on cairo_wrapper instead of cairo
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: php-ezc-Graph (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-09 12:41 EDT by Nathanael Noblet
Modified: 2012-09-01 03:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-01 03:01:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch that allows Graph to use cairo module (1.91 KB, patch)
2012-08-09 12:41 EDT, Nathanael Noblet
no flags Details | Diff

  None (edit)
Description Nathanael Noblet 2012-08-09 12:41:25 EDT
Created attachment 603305 [details]
Patch that allows Graph to use cairo module

Description of problem:
This package requires cairo_wrapper which is no longer maintained instead of cairo which seems to be better maintained.
Comment 1 Remi Collet 2012-08-09 12:47:06 EDT
Useful link to upstream pull request
https://github.com/zetacomponents/Graph/pull/1
Comment 2 Remi Collet 2012-09-01 03:01:23 EDT
From upstream:

----------------------------------------------------------------------------
You are aware that there already is a driver which works with pecl/cairo? (https://github.com/zetacomponents/Graph/blob/master/src/driver/cairo_oo.php)

What benefit does this driver provide over the existing implementation?

And please do not remove (working) support for an extension, even it might not be actively maintained right now.
----------------------------------------------------------------------------

Note You need to log in before you can comment on or make changes to this bug.